DefaultExecutor (Apache Ant API)

Package org.apache.tools.ant.helper

## Class DefaultExecutor

- java.lang.Object
- - org.apache.tools.ant.helper.DefaultExecutor

- All Implemented Interfaces:
    `Executor`

      public class DefaultExecutor
      extends java.lang.Object
      implements Executor

  Default Target executor implementation. Runs each target individually (including all of its dependencies). If an error occurs, behavior is determined by the Project's "keep-going" mode.
  Since:
    Ant 1.6.3

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultExecutor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `executeTargets​(Project project, java.lang.String[] targetNames)` | Execute the specified Targets for the specified Project.
    `Executor` | `getSubProjectExecutor()` | Get the appropriate subproject Executor instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultExecutor

          public DefaultExecutor()

  - ### Method Detail

    - #### executeTargets

          public void executeTargets​(Project project,
                                     java.lang.String[] targetNames)
                              throws BuildException

      Execute the specified Targets for the specified Project..
      Specified by:
        `executeTargets` in interface `Executor`
      Parameters:
        `project` - the Ant Project.
        `targetNames` - String[] of Target names as specified on the command line.
      Throws:
        `BuildException` - on error

    - #### getSubProjectExecutor

          public Executor getSubProjectExecutor()

      Get the appropriate subproject Executor instance. This allows the top executor to control what type of executor is used to execute subprojects via <ant>/<antcall>/<subant> and task that extend these. All bundled Executors return a SingleCheckExecutor (running a merged set of depended targets for all targets called) to run sub-builds..
      Specified by:
        `getSubProjectExecutor` in interface `Executor`
      Returns:
        an Executor instance.